Package org.atmosphere.cache
package org.atmosphere.cache
-
ClassDescriptionAbstract
BroadcasterCachewhich is used to implement headers, query parameters or session based caching.Bounded, in-memoryBroadcasterCachewith per-broadcaster size limits and TTL-based eviction.InspectBroadcastMessages before they get added to the BroadcasterCache.A wrapper around an object passed toBroadcaster.broadcast(Object)A cached broadcast message with metadata for tracking creation time, message identity, and the UUID of theAtmosphereResourcethat produced it.Default no-opBroadcasterCacheimplementation.SimpleBroadcasterCachethat use anHttpSessionto cache messages.An improvedBroadcasterCacheimplementation that is based on the unique identifier (UUID) that allAtmosphereResources have.